This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 823075 - Review Request: php-symfony2-Security - Symfony2 Security Component
Review Request: php-symfony2-Security - Symfony2 Security Component
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: php-channel-symfony2 823041 823050 823051 823054 823060 823071 823073
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 18:04 EDT by Shawn Iwinski
Modified: 2012-07-20 20:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-12 14:59:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
php-symfony2-Security-review.txt (8.06 KB, text/plain)
2012-06-25 14:42 EDT, Remi Collet
no flags Details

  None (edit)
Comment 1 Shawn Iwinski 2012-05-20 18:12:30 EDT
Updates per comments in bug 823043

- Removed BuildRoot
- Changed php require to php-common
- Added the following requires based on phpci results:
  php-date, php-hash, php-json, php-openssl, php-pcre, php-reflection,
  php-spl
- Removed %defattr from %files section
- Removed ownership for directories already owned by required packages

Update per https://bugzilla.redhat.com/show_bug.cgi?id=823041#c5

- Moved documentation to correct location

SPEC URL:
http://people.redhat.com/siwinski/rpmbuild/SPECS/php-symfony2-Security.spec

SRPM URL:
http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-symfony2-Security-2.0.14-3.fc16.src.rpm
Comment 2 Shawn Iwinski 2012-05-31 13:34:13 EDT
Updated to upstream version 2.0.15 & updates per bug #817303

- Removed "BuildRequires: php-pear >= 1:1.4.9-1.2"
- Updated %prep section
- Removed cleaning buildroot from %install section
- Removed documentation move from %install section (fixed upstream)
- Removed %clean section
- Updated %doc in %files section

SPEC URL: http://people.redhat.com/siwinski/rpmbuild/SPECS/php-symfony2-Security.spec

SRPM URL: http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-symfony2-Security-2.0.15-1.fc16.src.rpm
Comment 3 Shawn Iwinski 2012-06-13 02:35:47 EDT
Added optional requires

- Added php-pear(%{pear_channel}/ClassLoader) require
- Added php-pear(%{pear_channel}/Finder) require
- Added php-pear(%{pear_channel}/Form) require
- Added php-pear(%{pear_channel}/Routing) require

SPEC URL: http://people.redhat.com/~siwinski/rpmbuild/SPECS/php-symfony2-Security.spec

SRPM URL: http://people.redhat.com/~siwinski/rpmbuild/SRPMS/php-symfony2-Security-2.0.15-2.fc17.src.rpm
Comment 4 Remi Collet 2012-06-25 14:41:53 EDT
Please check file placement of *sql (mark as doc).
This files seems not used.

You probably need php-doctrine-DoctrineCommon and php-doctrine-DoctrineDBAL (not yet packaged).

So please
1/ assure this is an optionnal dep
2/ consider submitting a review for this 2packages.

In Security-2.0.15/Symfony/Component/Security/Acl/Dbal/AclProvider.php
        foreach ($stmt->fetchAll(\PDO::FETCH_NUM) as $data) {

So also need php-pdo
Comment 5 Remi Collet 2012-06-25 14:42:27 EDT
Created attachment 594258 [details]
php-symfony2-Security-review.txt

Generated by fedora-review 0.1.3
Comment 6 Shawn Iwinski 2012-06-30 00:27:00 EDT
(In reply to comment #4)
> Please check file placement of *sql (mark as doc).
> This files seems not used.

I will update the spec to modify package.xml and make these files role="php".  Upstream v2.1.0-BETA1 has several packaging fixes in it and these files are role="php" there.


> You probably need php-doctrine-DoctrineCommon and php-doctrine-DoctrineDBAL
> (not yet packaged).
> 
> So please
> 1/ assure this is an optionnal dep
> 2/ consider submitting a review for this 2packages.

It appears that these are optional.  Looking through the dependency updates for upstream version 2.1.0 BETA1 (which has several packaging fixes in it), the PEAR dependencies are the same, but the composer dependencies for those packages are "require-dev" which means "packages required for developing this package, or running tests, etc." but not installed as normal required packages.

v2.0.15: https://github.com/symfony/Security/blob/v2.0.15/composer.json
v2.1.0-BETA1: https://github.com/symfony/Security/blob/v2.1.0-BETA1/composer.json

I am working on the packaging of DoctrineCommon and DoctrineDBAL and will add them as requires to this package when they are available.


> In Security-2.0.15/Symfony/Component/Security/Acl/Dbal/AclProvider.php
>         foreach ($stmt->fetchAll(\PDO::FETCH_NUM) as $data) {
> 
> So also need php-pdo

I will update the spec with this.
Comment 7 Shawn Iwinski 2012-06-30 00:57:49 EDT
Updates per comment #4

- Added php-pdo require
- Updated %description
- Changed PEAR role of *.sql files from doc to php (Note: This has been fixed in upstream version 2.1.0 BETA1)

SPEC URL: http://siwinski.fedorapeople.org/rpmbuild/SPECS/php-symfony2-Security.spec

SRPM URL: http://siwinski.fedorapeople.org/rpmbuild/SRPMS/php-symfony2-Security-2.0.15-3.fc17.src.rpm
Comment 8 Remi Collet 2012-06-30 01:38:48 EDT
$ colordiff -u php-symfony2-Security.spec.001 php-symfony2-Security.spec
--- php-symfony2-Security.spec.001	2012-06-13 08:31:19.000000000 +0200
+++ php-symfony2-Security.spec	2012-06-30 06:44:46.000000000 +0200
@@ -4,7 +4,7 @@
 
 Name:             php-symfony2-Security
 Version:          2.0.15
-Release:          2%{?dist}
+Release:          3%{?dist}
 Summary:          Symfony2 %{pear_name} Component
 
 Group:            Development/Libraries
@@ -22,6 +22,7 @@
 Requires:         php-json
 Requires:         php-openssl
 Requires:         php-pcre
+Requires:         php-pdo
 Requires:         php-reflection
 Requires:         php-spl
 Requires:         php-pear(PEAR)
@@ -40,7 +41,12 @@
 Provides:         php-pear(%{pear_channel}/%{pear_name}) = %{version}
 
 %description
-%{summary}.
+Security provides an infrastructure for sophisticated authorization systems,
+which makes it possible to easily separate the actual authorization logic from
+so called user providers that hold the users credentials. It is inspired by
+the Java Spring framework.
+
+Optional dependencies: DoctrineCommon and DoctrineDBAL
 
 
 %prep
@@ -48,6 +54,12 @@
 # package.xml is version 2.0
 mv package.xml %{pear_name}-%{version}/%{name}.xml
 
+# Change PEAR role of *.sql files from doc to php.
+# Fixed in upstream version 2.1.0 BETA1.
+sed -i \
+    's#<file *md5sum="\([^"]\+\)" *name="\([^"]\+.sql\)" *role="doc" */>#<file md5sum="\1" name="\2" role="php" />#' \
+    %{pear_name}-%{version}/%{name}.xml
+
 
 %build
 # Empty build section, most likely nothing required.
@@ -84,6 +96,11 @@
 
 
 %changelog
+* Sat Jun 30 2012 Shawn Iwinski <shawn.iwinski@gmail.com> 2.0.15-3
+- Added php-pdo require
+- Updated %%description
+- Changed PEAR role of *.sql files from doc to php
+
 * Mon Jun 11 2012 Shawn Iwinski <shawn.iwinski@gmail.com> 2.0.15-2
 - Added php-pear(%%{pear_channel}/ClassLoader) require
 - Added php-pear(%%{pear_channel}/Finder) require
Comment 9 Remi Collet 2012-06-30 01:43:07 EDT
$ rpmdiff php-symfony2-Security-2.0.15-2.fc17.remi.noarch.rpm \
          php-symfony2-Security-2.0.15-3.fc16.remi.noarch.rpm

added       REQUIRES php-pdo  
...
removed     /usr/share/doc/pear/Security/Symfony/Component/Security/Acl
removed     /usr/share/doc/pear/Security/Symfony/Component/Security/Acl/Resources
removed     /usr/share/doc/pear/Security/Symfony/Component/Security/Acl/Resources/schema
removed     /usr/share/doc/pear/Security/Symfony/Component/Security/Acl/Resources/schema/db2.sql
removed     /usr/share/doc/pear/Security/Symfony/Component/Security/Acl/Resources/schema/mssql.sql
removed     /usr/share/doc/pear/Security/Symfony/Component/Security/Acl/Resources/schema/mysql.sql
removed     /usr/share/doc/pear/Security/Symfony/Component/Security/Acl/Resources/schema/oracle.sql
removed     /usr/share/doc/pear/Security/Symfony/Component/Security/Acl/Resources/schema/postgresql.sql
removed     /usr/share/doc/pear/Security/Symfony/Component/Security/Acl/Resources/schema/sqlite.sql
...
added       /usr/share/pear/Symfony/Component/Security/Acl/Resources/schema
added       /usr/share/pear/Symfony/Component/Security/Acl/Resources/schema/db2.sql
added       /usr/share/pear/Symfony/Component/Security/Acl/Resources/schema/mssql.sql
added       /usr/share/pear/Symfony/Component/Security/Acl/Resources/schema/mysql.sql
added       /usr/share/pear/Symfony/Component/Security/Acl/Resources/schema/oracle.sql
added       /usr/share/pear/Symfony/Component/Security/Acl/Resources/schema/postgresql.sql
added       /usr/share/pear/Symfony/Component/Security/Acl/Resources/schema/sqlite.sql
Comment 10 Remi Collet 2012-06-30 01:43:38 EDT
All blockers fixed

== APPROVED ==
Comment 11 Shawn Iwinski 2012-06-30 15:02:36 EDT
New Package SCM Request
=======================
Package Name: php-symfony2-Security
Short Description: Symfony2 Security Component
Owners: siwinski
Branches: f16 f17 el6
InitialCC:
Comment 12 Gwyn Ciesla 2012-07-01 18:42:38 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2012-07-02 16:27:02 EDT
php-symfony2-Security-2.0.15-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-symfony2-Security-2.0.15-3.fc17
Comment 14 Fedora Update System 2012-07-02 16:27:33 EDT
php-symfony2-Security-2.0.15-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-symfony2-Security-2.0.15-3.el6
Comment 15 Fedora Update System 2012-07-02 16:27:42 EDT
php-symfony2-Security-2.0.15-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-symfony2-Security-2.0.15-3.fc16
Comment 16 Fedora Update System 2012-07-03 11:55:36 EDT
php-symfony2-Security-2.0.15-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 17 Fedora Update System 2012-07-12 14:59:34 EDT
php-symfony2-Security-2.0.15-3.fc16 has been pushed to the Fedora 16 stable repository.
Comment 18 Fedora Update System 2012-07-12 14:59:44 EDT
php-symfony2-Security-2.0.15-3.fc17 has been pushed to the Fedora 17 stable repository.
Comment 19 Fedora Update System 2012-07-20 20:20:48 EDT
php-symfony2-Security-2.0.15-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.